Subject: Text Mode Negotiation

From: Jamie Tuttle <[email-masked]>
Date: Tue, 29 Oct 2002 17:13:21 -0500

IPS,

This may have been asked, however I was unable to find it looking through
the archive. I have a case in which I am trying to determine the appropriate
response of an iSCSI target to the Text Negotiation of declarative in which
the value declared is not a valid value. 

Example: During Full Feature Phase an Initiator declares the key
MaxRecvDataSegmentLength=0. This is obviously a failure/error condition. If
the Target responds with a text response with the F bit set does that imply
that the value was accepted by the Target, or does it imply that it was
rejected by the Target, thus using the previous value? The Target cannot
respond with a text response with the key MaxRecvDataSegmentLength=Reject
since this a declarative key. Should the Target close the connection? 

Any direction in this matter will be greatly appreciated.

Thanks,

Jamie Tuttle